Package org.kie.api.internal.assembler

## Interface KieAssemblers

- All Superinterfaces:
    `java.lang.Comparable<KieService>`, `KieService`

      public interface KieAssemblers
      extends KieService

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.internal.utils.KieService

      `UNDEFINED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResourceAfterRules​(java.lang.Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `void` | `addResourceBeforeRules​(java.lang.Object knowledgeBuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `void` | `addResourcesAfterRules​(java.lang.Object knowledgeBuilder, java.util.List<ResourceWithConfiguration> resources, ResourceType type)` |

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority, serviceTag`

- - ### Method Detail

    - #### addResourceBeforeRules

          void addResourceBeforeRules​(java.lang.Object knowledgeBuilder,
                                      Resource resource,
                                      ResourceType type,
                                      ResourceConfiguration configuration)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addResourceAfterRules

          void addResourceAfterRules​(java.lang.Object knowledgeBuilder,
                                     Resource resource,
                                     ResourceType type,
                                     ResourceConfiguration configuration)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addResourcesAfterRules

          void addResourcesAfterRules​(java.lang.Object knowledgeBuilder,
                                      java.util.List<ResourceWithConfiguration> resources,
                                      ResourceType type)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`